## libsdl2-image 2.0.0+dfsg

=== debian/changelog ===
libsdl2-image (2.0.0+dfsg-3build2) trusty; urgency=medium

  * No-change rebuild for libwebp transition

 -- Iain Lane <iain.lane@canonical.com>  Mon, 20 Jan 2014 12:18:00 +0000

libsdl2-image (2.0.0+dfsg-3build1) trusty; urgency=medium

  * Rebuild for libwebp5.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Jan 2014 16:43:20 +0000

libsdl2-image (2.0.0+dfsg-3) unstable; urgency=low

  * Really regenerate autoconf files. The upstream autogen.sh doesn't
    work properly. Thanks to Pino Toscano for the patch.
    - Fixes FTBFS on hurd.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 08 Sep 2013 11:16:14 +0200

libsdl2-image (2.0.0+dfsg-2) unstable; urgency=low

  * Tighten libsdl2-dev dependency to 2.0.0 and bump the shlibver to 2.0.0,
    thanks to Gianfranco Costamagna for the patch.
  * Fix FTBFS on big endian architectures.
    - Add fix_ftbfs_big_endian.patch

 -- Felix Geyer <fgeyer@debian.org>  Sun, 25 Aug 2013 11:26:16 +0200

libsdl2-image (2.0.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Add a watch file.
  * Remove external/ from upstream tarball.
  * Document miniz.h license in debian/copyright.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 21 Aug 2013 09:44:44 +0200

libsdl2-image (2.0.0~rc1+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #710698)
  * Filter upstream tarball to remove precompiled binaries that don't
    ship with the corresponding source code.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 12 Jul 2013 17:38:44 +0200
