## libsdl2-image 2.0.1%2Bdfsg

=== debian/changelog ===
libsdl2-image (2.0.1+dfsg-2) unstable; urgency=low

  * Team upload.
  * d/rules: Update shlib and .so symlink to the current version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 27 Jan 2016 09:34:58 +0100

libsdl2-image (2.0.1+dfsg-1) unstable; urgency=low

  * Team upload.
  [ Manuel A. Fernandez Montecelo ]
  * Build-Depends on pkg-config
  * Bump Policy Standards-Version to 3.9.6 (no changes needed)

  [ Gianfranco Costamagna ]
  * New upstream release (Closes: #812620).
  * Use Files-Excluded copyright keyword to exclude autogenerated
    files from tarball.
  * Remove patch about big endian build fix, it should be fixed upstream.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Jan 2016 10:12:59 +0100
