=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Uploaders: Felix Geyer <fgeyer@debian.org>, Manuel A. Fernandez Montecelo <mafm@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10~),
                libsdl2-dev (>= 2.0.0),
                libjpeg-dev,
                libpng-dev,
                libtiff-dev,
                libwebp-dev,
+               pkg-config,
                zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 4.0.0
 Homepage: http://www.libsdl.org/projects/SDL_image/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-sdl/packages/libsdl2-image.git
-Vcs-Git: git://anonscm.debian.org/pkg-sdl/packages/libsdl2-image.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl2-image.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl2-image.git
 
 Package: libsdl2-image-2.0-0
 Architecture: any
@@ -29,20 +29,6 @@
  .
  This package contains the shared library.
 
-Package: libsdl2-image-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Priority: extra
-Depends: ${misc:Depends},
-         libsdl2-image-2.0-0 (= ${binary:Version})
-Description: Image loading library for Simple DirectMedia Layer 2, debugging symbols
- This is a simple library to load images of various formats as SDL surfaces.  It
- supports the following formats: BMP, GIF, JPEG, LBM, PCX, PNG, PNM, TGA, TIFF,
- WEBP, XCF, XPM, XV.
- .
- This package contains the debugging information for the shared library.
-
 Package: libsdl2-image-dev
 Architecture: any
 Multi-Arch: same
