## libsdl2-image 2.0.3+dfsg1

=== debian/changelog ===
libsdl2-image (2.0.3+dfsg1-1) unstable; urgency=medium

  * New upstream release, fixing various security issues:
    - CVE-2017-12122
    - CVE-2017-14440
    - CVE-2017-14441
    - CVE-2017-14442
    - CVE-2017-14448
    - CVE-2017-14449
    - CVE-2017-14450
  * Requires libsdl2 >= 2.0.8

 -- Felix Geyer <fgeyer@debian.org>  Sun, 04 Mar 2018 15:50:05 +0100

libsdl2-image (2.0.2+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.2+dfsg1.
  * Bump SHLIBVER, as INTERFACE_AGE has been reset in configure.in.
  * Remove patches backported from upstream.
  * Fix shlib symlink.
  * Move the dbgsym-migration parameter to the dh_strip call.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 10 Nov 2017 13:46:09 +0100

libsdl2-image (2.0.1+dfsg-4) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * d/copyright: Fix missing "General" in LGPL license

  [ Felix Geyer ]
  * Fix CVE-2017-2887: buffer overflow in the XCF property handling.
    (Closes: #878266)

 -- Felix Geyer <fgeyer@debian.org>  Wed, 18 Oct 2017 22:09:02 +0200
