=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 10~),
-               libsdl2-dev (>= 2.0.0),
+               libsdl2-dev (>= 2.0.8),
                libjpeg-dev,
                libpng-dev,
                libtiff-dev,
@@ -12,9 +12,9 @@
                pkg-config,
                zlib1g-dev
 Standards-Version: 4.0.0
-Homepage: http://www.libsdl.org/projects/SDL_image/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl2-image.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl2-image.git
+Homepage: https://www.libsdl.org/projects/SDL_image/
+Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl2-image
+Vcs-Git: https://salsa.debian.org/sdl-team/libsdl2-image.git
 
 Package: libsdl2-image-2.0-0
 Architecture: any
@@ -35,7 +35,7 @@
 Section: libdevel
 Depends: ${misc:Depends},
          libsdl2-image-2.0-0 (= ${binary:Version}),
-         libsdl2-dev (>= 2.0.0)
+         libsdl2-dev (>= 2.0.8)
 Description: Image loading library for Simple DirectMedia Layer 2, development files
  This is a simple library to load images of various formats as SDL surfaces.  It
  supports the following formats: BMP, GIF, JPEG, LBM, PCX, PNG, PNM, TGA, TIFF,
