=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-SHLIBVER = 2.0.1
+SHLIBVER = 2.0.2
 
 
 # export variables for autoreconf
@@ -19,7 +19,7 @@
 confflags += --disable-webp-shared
 
 %:
-	dh $@ --dbgsym-migration='libsdl2-image-dbg (<< 2.0.1+dfsg-3~)'
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(confflags)
@@ -32,7 +32,7 @@
 
 override_dh_link:
 	# fix lintian warning dev-pkg-without-shlib-symlink
-	dh_link -plibsdl2-image-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_image-2.0.so.0.0.1 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_image-2.0.so
+	dh_link -plibsdl2-image-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_image-2.0.so.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_image-2.0.so
 	dh_link --remaining-packages
 
 override_dh_compress:
@@ -40,3 +40,6 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V"libsdl2-image-2.0-0 (>= $(SHLIBVER))"
+
+override_dh_strip:
+	dh_strip --dbgsym-migration='libsdl2-image-dbg (<< 2.0.1+dfsg-3~)'
