=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
 https://www.libsdl.org/projects/SDL_image/release/SDL2_image-([\d.]+)\.tar\.(?:gz|bz2|xz|lzma)
