## libsdl2-image 2.0.4+dfsg1

=== debian/changelog ===
libsdl2-image (2.0.4+dfsg1-1+deb10u1) buster; urgency=medium

  * Non-maintainer upload.
  * Multiple security issues (Closes: #932754):
    - CVE-2019-5058: buffer overflow in do_layer_surface (IMG_xcf.c).
    - CVE-2019-5052: integer overflow and subsequent buffer overflow in
      IMG_pcx.c.
    - CVE-2019-7635: heap buffer overflow in Blit1to4 (IMG_bmp.c).
    - CVE-2019-12216, CVE-2019-12217,
      CVE-2019-12218, CVE-2019-12219,
      CVE-2019-12220, CVE-2019-12221,
      CVE-2019-12222, CVE-2019-5051: OOB R/W in IMG_LoadPCX_RW (IMG_pcx.c).

 -- Hugo Lefeuvre <hle@debian.org>  Fri, 26 Jul 2019 17:01:14 -0300

libsdl2-image (2.0.4+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Drop CVE-2018-3977.patch, applied upstream.
  * Verify signature of upstream tarball.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 03 Feb 2019 11:59:26 +0100

libsdl2-image (2.0.3+dfsg1-3) unstable; urgency=high

  * Non-maintainer upload with permission of maintainers.
  * CVE-2018-3977: Prevent a potential buffer overflow on a corrupt or
    maliciously-crafted XCF file. (Closes: #912617)

 -- Chris Lamb <lamby@debian.org>  Sun, 04 Nov 2018 23:34:39 +0000

libsdl2-image (2.0.3+dfsg1-2) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Bump Policy Standards-Version to 4.2.1 (no changes needed)
  * d/watch:
    - Set to version=4
    - Update +dsfg mangling to correctly detect upstream version
  * Switch to debhelper compat level v11
  * d/copyright: use https in format URL
  * d/control: Set "Rules-Requires-Root: no"

 -- Chris Lamb <lamby@debian.org>  Sun, 04 Nov 2018 23:34:37 +0000
