=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Uploaders: Felix Geyer <fgeyer@debian.org>, Manuel A. Fernandez Montecelo <mafm@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Rules-Requires-Root: no
+Build-Depends: debhelper (>= 11~),
                libsdl2-dev (>= 2.0.8),
                libjpeg-dev,
                libpng-dev,
@@ -11,7 +12,7 @@
                libwebp-dev,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.2.1
 Homepage: https://www.libsdl.org/projects/SDL_image/
 Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl2-image
 Vcs-Git: https://salsa.debian.org/sdl-team/libsdl2-image.git
