=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg[[:digit:]]*$//,pgpmode=auto \
 https://www.libsdl.org/projects/SDL_image/release/SDL2_image-([\d.]+)\.tar\.(?:gz|bz2|xz|lzma)
