## libsdl2-image 2.0.5%2Bdfsg1

=== debian/changelog ===
libsdl2-image (2.0.5+dfsg1-3build1) jammy; urgency=medium

  * No-change rebuild against latest libwebp

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 01 Feb 2022 09:25:26 -0500

libsdl2-image (2.0.5+dfsg1-3) unstable; urgency=medium

  * Team upload
  * d/p/showimage-Add-a-quit-option.patch:
    Add patch to add a -quit option to the showimage example.
    This allows it to be used as a non-interactive smoke-test.
  * d/tests: Add an autopkgtest using the modified showimage.
    Taken from the libsdl2-image package in the Steam Runtime.
  * Add a .symbols file
  * Re-export upstream signing key without extra signatures.
  * Drop transition for old debug package migration.
  * d/rules: Rely on debhelper compat 12 for dh_makeshlibs.
    With a .symbols file, the version passed to dh_makeshlibs is only a
    fallback.
    debhelper compat level 12 defaults to generating dependencies on the
    current upstream version, which is what's in stable. More relaxed
    dependencies aren't particularly useful, because we don't support
    skipping a release anyway.
  * d/rules: Remove unnecessary override for dh_compress.
    debhelper compat level 12 doesn't compress examples anyway.
  * Use debhelper compat level 13.
    Drop dh_missing --fail-missing override: this is now the default.
  * Standards-Version: 4.6.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 28 Oct 2021 19:20:29 +0100

libsdl2-image (2.0.5+dfsg1-2) unstable; urgency=medium

  * Cherry-pick upstream fix for CVE-2019-13616. (Closes: #940934)

 -- Felix Geyer <fgeyer@debian.org>  Mon, 03 Feb 2020 23:02:06 +0100

libsdl2-image (2.0.5+dfsg1-1) unstable; urgency=medium

  * New upstream version, fixing various security issues: (Closes: #932754)
    - CVE-2019-5051
    - CVE-2019-5052
    - CVE-2019-7635
    - CVE-2019-12216
    - CVE-2019-12217
    - CVE-2019-12218
    - CVE-2019-12219
    - CVE-2019-12220
    - CVE-2019-12221
    - CVE-2019-12222
  * Switch to debhelper compat level 12.

 -- Felix Geyer <fgeyer@debian.org>  Tue, 23 Jul 2019 23:15:23 +0200
