## libsdl2-image 2.0.5+dfsg1

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: libs
 Priority: optional
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                libsdl2-dev (>= 2.0.8),
                libjpeg-dev,
                libpng-dev,
