=== debian/rules ===
--- 
+++ 
@@ -21,11 +21,11 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(confflags)
 
-override_dh_install:
-	dh_install --fail-missing -XlibSDL2_image.la
-
 override_dh_installchangelogs:
 	dh_installchangelogs -- CHANGES.txt
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_link:
 	# fix lintian warning dev-pkg-without-shlib-symlink
