=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: libsdl2-image
 Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
-Uploaders: Felix Geyer <fgeyer@debian.org>, Manuel A. Fernandez Montecelo <mafm@debian.org>
+Uploaders: Felix Geyer <fgeyer@debian.org>, Manuel A. Fernandez Montecelo <mafm@debian.org>, Simon McVittie <smcv@debian.org>
 Section: libs
 Priority: optional
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
-               libsdl2-dev (>= 2.0.8),
+Build-Depends: debhelper-compat (= 13),
+               libsdl2-dev (>= 2.0.9),
                libjpeg-dev,
                libpng-dev,
                libtiff-dev,
                libwebp-dev,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.6.1
 Homepage: https://www.libsdl.org/projects/SDL_image/
 Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl2-image
 Vcs-Git: https://salsa.debian.org/sdl-team/libsdl2-image.git
@@ -35,11 +35,28 @@
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
+         libjpeg-dev,
+         libpng-dev,
+         libsdl2-dev (>= 2.0.8),
          libsdl2-image-2.0-0 (= ${binary:Version}),
-         libsdl2-dev (>= 2.0.8)
+         libtiff-dev,
+         libwebp-dev,
 Description: Image loading library for Simple DirectMedia Layer 2, development files
  This is a simple library to load images of various formats as SDL surfaces.  It
  supports the following formats: BMP, GIF, JPEG, LBM, PCX, PNG, PNM, TGA, TIFF,
  WEBP, XCF, XPM, XV.
  .
  This package contains the development files.
+
+Package: libsdl2-image-tests
+Architecture: any
+Section: misc
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libsdl2-image-2.0-0 (= ${binary:Version}),
+Description: Image loading library for Simple DirectMedia Layer 2 - tests
+ This is a simple library to load images of various formats as SDL surfaces.  It
+ supports the following formats: BMP, GIF, JPEG, LBM, PCX, PNG, PNM, TGA, TIFF,
+ WEBP, XCF, XPM, XV.
+ .
+ This package contains automated and manual tests.
