=== debian/watch ===
version=4
opts="repack,dversionmangle=s/[~.+](?:dfsg|ds)[0-9]*$//,repacksuffix=+dfsg,pgpmode=auto" \
https://github.com/libsdl-org/SDL_image/releases \
.*/SDL2_image-(\d+\.\d*[02468]\.\d+)@ARCHIVE_EXT@

# also: https://www.libsdl.org/projects/SDL_image/release/SDL2_image-([\d.]+)\.tar\.(?:gz|bz2|xz|lzma)
