## libsdl2-image 2.6.2+dfsg

=== debian/changelog ===
libsdl2-image (2.6.2+dfsg-2) unstable; urgency=medium

  * d/watch: Update for Github website changes
  * d/p/Fix-wrong-size-malloc-and-minor-memleak.patch,
    d/p/Replace-free-usage-with-SDL_free.patch:
    Add minor memory leak fix from upstream release-2.6.x branch

 -- Simon McVittie <smcv@debian.org>  Fri, 28 Oct 2022 18:16:50 +0100

libsdl2-image (2.6.2+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Mon, 29 Aug 2022 21:32:22 +0100
