## libsdl2-image 2.6.3+dfsg

=== debian/changelog ===
libsdl2-image (2.6.3+dfsg-1) unstable; urgency=medium

  [ Simon McVittie ]
  * New upstream stable release
    - Fix loading of 4-bit .ico, .cur files
  * Drop patches that were applied upstream
  * Remove version constraints unnecessary since Debian 10
  * Update standards version to 4.6.2 (no changes needed)
  * d/copyright: Update

  [ Debian Janitor ]
  * d/upstream/metadata: Add

 -- Simon McVittie <smcv@debian.org>  Thu, 09 Feb 2023 09:14:01 +0000
