=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Priority: optional
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               libsdl2-dev (>= 2.0.9),
+               libsdl2-dev,
                libjpeg-dev,
                libpng-dev,
                libtiff-dev,
                libwebp-dev,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.libsdl.org/projects/SDL_image/
 Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl2-image
 Vcs-Git: https://salsa.debian.org/sdl-team/libsdl2-image.git
@@ -37,7 +37,7 @@
 Depends: ${misc:Depends},
          libjpeg-dev,
          libpng-dev,
-         libsdl2-dev (>= 2.0.8),
+         libsdl2-dev,
          libsdl2-image-2.0-0 (= ${binary:Version}),
          libtiff-dev,
          libwebp-dev,
