## libsdl2-image 2.8.2%2Bdfsg

=== debian/changelog ===
libsdl2-image (2.8.2+dfsg-1) unstable; urgency=medium

  * New upstream stable release
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Tue, 02 Jan 2024 17:12:38 +0000

libsdl2-image (2.8.1+dfsg-1) unstable; urgency=medium

  * New upstream release
    - no functional changes for the way we compile it in Debian
      (all of the changes were in vendored libraries, which Debian
      excludes, or in the STB image loader, which Debian does not enable)

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Dec 2023 11:53:05 +0000

libsdl2-image (2.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Drop the only patch, no longer needed
  * d/copyright: Update
  * Update symbols file
  * d/libsdl2-image-dev.examples, d/tests: Update for new directory layout
  * d/clean: Fix FTBFS-twice-in-a-row by deleting files created by tests
    (Closes: #1049222)
  * d/gbp.conf: Only sign packaging tags
  * d/gbp.conf: Use DEP-14 branch names
  * d/gbp.conf: Rely on uscan to repack upstream source.
    This will use Files-Excluded in d/copyright, rather than separate
    configuration.

 -- Simon McVittie <smcv@debian.org>  Thu, 07 Dec 2023 10:50:59 +0000

libsdl2-image (2.6.3+dfsg-2) unstable; urgency=medium

  * d/upstream/metadata: Add Repository field
  * d/tests: Run Xvfb with -noreset to make the test more reliable.
    See #981201.
  * d/tests: Instruct xvfb-run to choose a server number automatically
  * d/p/Update-README.txt.patch:
    Add patch from upstream to point to the SDL2-specific documentation.
    The SDL_image wiki namespace now refers to the SDL3 version under
    development.
  * d/watch: Only watch for 2.x versions.
    The upstream 'main' branch now targets SDL 3 (under development), and
    should be packaged separately as a libsdl3-image source package.

 -- Simon McVittie <smcv@debian.org>  Sat, 15 Jul 2023 18:05:40 +0100
